Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter:

## Public Member Functions
| __construct (Repository $repository)
| supportsAttribute ($attribute)
| Checks if the voter supports the given attribute. More...
| supportsClass ($class)
| Checks if the voter supports the given class. More...
| vote (TokenInterface $token, $object, array $attributes)
| Returns the vote for the given parameters. More...

## Private Attributes
| $repository

## Detailed Description

Definition at line 14 of file CoreVoter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter::__construct | ( | Repository | $repository | ) |

Definition at line 19 of file CoreVoter.php.

References eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter\$repository.

## Member Function Documentation

## ◆ supportsAttribute()

eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter::supportsAttribute | ( |  | $attribute | ) |

Checks if the voter supports the given attribute.

Parameters

  string | $attribute | An attribute

Returns
  bool true if this Voter supports the attribute, false otherwise

Definition at line 31 of file CoreVoter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter\vote().

## ◆ supportsClass()

eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter::supportsClass | ( |  | $class | ) |

Checks if the voter supports the given class.

Parameters

  string | $class | A class name

Returns
  true if this Voter can process the class

Definition at line 43 of file CoreVoter.php.

## ◆ vote()

eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter::vote | ( | TokenInterface | $token,
|  |  | $object,
|  | array | $attributes
| ) |  |

Returns the vote for the given parameters.

This method must return one of the following constants: ACCESS_GRANTED, ACCESS_DENIED, or ACCESS_ABSTAIN.

Parameters

  TokenInterface | $token | A TokenInterface instance
  object | $object | The object to secure
  array | $attributes | An array of attributes associated with the method being invoked

Returns
  int either ACCESS_GRANTED, ACCESS_ABSTAIN, or ACCESS_DENIED

Definition at line 60 of file CoreVoter.php.

References eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter\supportsAttribute().

## Member Data Documentation

## ◆ $repository

eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter::$repository
| private

Definition at line 17 of file CoreVoter.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Security\Authorization\Voter\CoreVoter\__construct().

The documentation for this class was generated from the following file:

- CoreVoter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.